##############################################################################
#
#	Copyright (c) Geoworks 1991-92 -- All Rights Reserved
#
# PROJECT:	Sample Applications
# MODULE:	Document Control -- DOS files
# FILE:		docui.gp
#
# AUTHOR:	Tony Requist
#
# DESCRIPTION:	This file contains Geode definitions for the "DosFile" sample
#		application. This file is read by the Glue linker to
#		build this application.
#
# RCS STAMP:
#	$Id: dosfile.gp,v 1.2.19.3 94/01/20 21:34:39 jenny Exp $
#
##############################################################################
#
name dosfile.app
#
longname "C DosFile"
#
type	appl, process
#
class	DFProcessClass
#
appobj	DFApp
#
tokenchars "SAMP"
tokenid 8
#
# Heapspace: This is roughly the non-discardable memory usage (in words)
# of the application and any transient libraries that it depends on,
# plus an additional amount for thread activity. To find the heapspace
# for an application, use the Swat "heapspace" command.
#
heapspace 4647
#
library	geos
library	ui
#
resource APPRESOURCE ui-object
resource INTERFACE ui-object
resource DOCUMENTUI object
#
# Exported entry points. To allow the relocation of the DOCUMENTUI resource
# to occur and be independent of insignificant (as far as the operation of
# the application is concerned) changes in the physical location of the
# DUIDocumentClass class record, the relocation information for the
# GenDocumentGroup object specifies the class to use for document objects
# as an exported routine number for this application. Entry point numbers
# change far less frequently, and only for much greater cause, than the
# offsets of variables and routines.
#
export DFDocumentClass
