COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	Copyright (c) GeoWorks 1993 -- All Rights Reserved

PROJECT:	
MODULE:		
FILE:		cidserUtils.asm

AUTHOR:		Adam de Boor, Sep 30, 1993

ROUTINES:
	Name			Description
	----			-----------

	
REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Adam	9/30/93		Initial revision

n
DESCRIPTION:
	Utility routines
		

	$Id: cidserUtils.asm,v 1.1.1.1 93/10/08 17:34:37 adam Exp $

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@


Resident	segment	resource


COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		CIDSerUDerefSocket
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SYNOPSIS:	Get the offset of the CIDSerSocketInfo for the indicated
		socket.

CALLED BY:	(EXTERNAL)
PASS:		cx	= socket number
RETURN:		bx	= offset of CIDSerSocketInfo in dgroup
DESTROYED:	nothing
SIDE EFFECTS:	none

PSEUDO CODE/STRATEGY:
		

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	ardeb	9/30/93		Initial version

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@
CIDSerUDerefSocket proc	far
		.enter
		CheckHack <size CIDSerSocketInfo eq 7>
		mov	bx, cx
		shl	bx
		shl	bx
		shl	bx
		sub	bx, cx
		add	bx, offset socketInfo
		.leave
		ret
CIDSerUDerefSocket endp

Resident	ends
